This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 542747 - Review Request: oglappth - Libraries for the oglappth chemistry package
Review Request: oglappth - Libraries for the oglappth chemistry package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 542767
  Show dependency treegraph
 
Reported: 2009-11-30 12:35 EST by Carl Byington
Modified: 2010-01-12 18:42 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.98-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 18:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Carl Byington 2009-11-30 12:35:57 EST
Spec URL: http://www.five-ten-sg.com/oglappth.spec
SRPM URL: http://www.five-ten-sg.com/oglappth-0.98-2.fc12.src.rpm
Description: 
Library for creating portable OpenGL applications with easy-to-code scene
setup and selection operations.

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1838670


This is part of my project to get ghemical and its dependencies into Fedora.

ghemical buildrequires:
   f2c
   libSC-devel
   mopac7-devel
   oglappth-devel
   libghemical-data
libghemical buildrequires:
   f2c
   libSC-devel
   mopac7-devel
mopac7 buildrequires:
   f2c
mpqc provides libSC7, libSC-devel
oglappth provides oglappth-devel
f2c provides f2c
Comment 1 Susi Lehtola 2009-12-04 23:15:26 EST
I don't see any sense in a -libs package, when the main package doesn't contain any files. I'd just put the files in the main package.
Comment 2 Carl Byington 2009-12-05 13:25:56 EST
Consistency of naming; we have .so files, which the standards say must be in a -devel subpackage. And the actual versioned .so.* files are always in a -libs subpackage.
Comment 3 Stefan Riemens 2009-12-05 16:06:57 EST
Well, that's not quite true... Just put the versioned lib in the main package and the headers and unversioned lib in -devel. I'll review this as soon as you have that cleaned up...

Stefan
Comment 5 Carl Byington 2009-12-16 20:32:26 EST
any progress on the review, or anything else that I need to do?
Comment 6 Susi Lehtola 2009-12-17 05:56:43 EST
I haven't agreed to take on the review :)

Anyway, you could, again, make the files listing more explicit. Did you run rpmlint on the packages? The %description of devel seems a bit long, looking at the spec file (I'm not sure, though).
Comment 8 Susi Lehtola 2009-12-23 10:49:56 EST
oglappth.src: W: name-repeated-in-summary oglappth
oglappth.x86_64: W: name-repeated-in-summary oglappth
oglappth.x86_64: W: shared-lib-calls-exit /usr/lib64/liboglappth.so.2.0.0 exit@GLIBC_2.2.5
oglappth-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Fix the summaries. Judging by the description,
 "Library for creating portable OpenGL applications with easy-to-code
 scene setup and selection operations."
the summary should be e.g.
 An OpenGL wrapper library

**

The -devel package doesn't contain static libraries, so drop their mention from the summary.

**

The changelog does not conform to Fedora standards. Leave the Mon Jan 12 entry (replacing the + with a -), drop the rest.

**

Source url should be
http://www.uku.fi/~thassine/projects/download/current/lib%{name}-%{version}.tar.gz

**

Change
 %{_includedir}/*
to
 %{_includedir}/oglappth/
for clarity.
Comment 9 Susi Lehtola 2009-12-23 10:56:51 EST
MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK

MUST: The package must be named according to the Package Naming Guidelines. NEEDSWORK
- According to the naming guidelines, the name of the package should be liboglappth, not oglappth.

MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. NEEDSWORK
- Source URL is incorrect, but source matches upstream.

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A

MUST: Optflags are used and time stamps preserved. NEEDSWORK
- Add INSTALL="install -p" to make install to preserve time stamps.

MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
- You might want to add statements
 [ -s NEWS ] && exit 1
 [ -s README ] && exit 1
in %setup to make the build fail and thus become notified if these files acquire content.

MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. N/A

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. NEEDSWORK
- This is automatically picked up on at least Fedora 12; if you want to build for EPEL then you need to add Requires: pkgconfig. Better safe than sorry, so please add this.

MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 11 Susi Lehtola 2009-12-23 15:08:16 EST
The Requires: pkgconfig should be for -devel which actually contains the pkgconfig file. Otherwise the package looks very clean now.

APPROVED

Fix the require before import to CVS.
Comment 12 Carl Byington 2009-12-23 15:46:26 EST
done

http://www.five-ten-sg.com/liboglappth.spec
http://www.five-ten-sg.com/liboglappth-0.98-6.fc12.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=1888886

New Package CVS Request
=======================
Package Name: liboglappth
Short Description: An OpenGL wrapper library
Owners: carllibpst
Branches: F-11 F-12
InitialCC:
Comment 13 Susi Lehtola 2010-01-01 18:02:33 EST
Carl: you need to mark fedora-cvs to ?, not +. The CVS admins pick up the ?:s and change them to +:s when they have fulfilled your request. Changed flag to ?.
Comment 14 Kevin Fenzi 2010-01-02 15:10:32 EST
cvs done.
Comment 15 Fedora Update System 2010-01-05 17:46:12 EST
liboglappth-0.98-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liboglappth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0171
Comment 16 Fedora Update System 2010-01-05 17:52:52 EST
liboglappth-0.98-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liboglappth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0185
Comment 17 Fedora Update System 2010-01-12 18:29:34 EST
liboglappth-0.98-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-01-12 18:42:22 EST
liboglappth-0.98-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.